local function get_best_to_sell_f(_, args) 
   -- get best item to sell (max profit/cu)

   local best_info = "\127ffffffbest_sell: <none>"
   local best_profit = -2000000
   for _,item in ipairs(GetShipInventory(GetActiveShipID()).cargo) do
      local price, station = GetBestPriceInfoOfItem(item)
      local item_info = GetInventoryItemInfo(item)
      local name = GetInventoryItemName(item)
      local volume = GetInventoryItemVolume(item)
      if volume == nil or volume == 0 then
	 volume = 1
      end
      local quantity = GetInventoryItemQuantity(item)
      local price_payed = GetInventoryItemUnitCost(item)*quantity
      local profit = (price - price_payed)
      local profit_per_cu = math.floor(profit/(volume*quantity))
      
      local profit_color = "\127ff0000"
      if profit_per_cu > 0 then
	 profit_color = "\12700ff00"
      end

      local str = "\1273388ffbest_sell: \127ffffff"..name.." => "..ShortLocationStr(math.floor(station / 100)).." (profit / cu = "..profit_color..profit_per_cu..")"

      if profit_per_cu > best_profit then
	 best_info = str
	 best_profit = profit_per_cu
      end
   end

   print(best_info)
end

RegisterUserCommand("bestsell", get_best_to_sell_f)
